<h3>Note:</h3>
<div *ngIf="!error && note">
    <table class="details-table">
        <tr>
            <td><b>Created: </b></td>
            <td>{{note.createdDate | date}}</td>
        </tr>
        <tr>
            <td><b>Completed: </b></td>
            <td><mat-icon>{{note.completed ? "done" : "close"}}</mat-icon></td>
        </tr>
    </table>
    <div class="controls">
        <button (click)="toggleCompletion()" mat-raised-button>
            {{note.completed ? "Mark as not completed" : "Mark as completed"}}
        </button>
        <button (click)="onEdit()" mat-raised-button color="primary">Edit text</button>
        <button (click)="onDelete()" mat-raised-button color="warn">Delete</button>
        <mat-spinner [diameter]="25" *ngIf="loading"></mat-spinner>
    </div>
    <p class="note-text">{{note.text}}</p>

</div>
<mat-error *ngIf="error">{{error}}</mat-error>

